<?php
/**
 * Roundcube Plus xframework plugin
 *
 * Copyright 2016, Tecorama LLC.
 *
 * @license Commercial. See the file LICENSE for details.
 */

require_once(__DIR__ . "/../common/Test.php");
require_once(__DIR__ . "/../common/Geo.php");

use \XFramework\Geo;

class GeoTest extends XFramework\Test
{
    public function testGetDataFromIp()
    {
        $ip = "5.157.7.42";

        $data = Geo::getDataFromIp($ip);
        $this->assertEquals($data['country_code'], "SE");
        $this->assertEquals($data['country_name'], "Sweden");

        $key = "xframework_geo_" . md5($ip . "00");
        $_SESSION[$key] = ["test_data"];
        $this->assertEquals(Geo::getDataFromIp($ip), ["test_data"]);
        unset($_SESSION[$key]);

        $data = Geo::getDataFromIp($ip, "non-existent-database");
        $this->assertFalse($data['country_code']);
    }

    public function testGetCountryArray()
    {
        $array = Geo::getCountryArray(true, "es");
        $this->assertEquals($array['IT'], "Italia");
        $array = Geo::getCountryArray(true, "aa");
        $this->assertEquals($array['IT'], "Italy");
        $array = Geo::getCountryArray(false);
        $this->assertTrue(!in_array("ZZ", $array));
    }

    public function testGetCountryName()
    {
        $this->assertEquals(Geo::getCountryName("IT"), "Italy");
        $this->assertEquals(Geo::getCountryName("AA"), "-");
    }
}